
GammaLib - Action #391

Feature # 34 (Closed): Implement MC methods for all spectral models

Implement MC method for GModelSpectralConst

07/28/2012 01:01 AM - Knödlseder Jürgen

Status: Closed Start date: 02/20/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 2.00 hours

Target version: 00-08-00   

Description

History

#1 - 09/01/2012 03:49 AM - Knödlseder Jürgen

- Target version deleted (00-06-00)

#2 - 09/14/2012 11:38 PM - Knödlseder Jürgen

- Target version set to 00-07-00

#3 - 12/15/2012 12:04 AM - Knödlseder Jürgen

- Status changed from New to Feedback

- Remaining (hours) changed from 2.0 to 0.0

#4 - 12/15/2012 12:15 AM - Knödlseder Jürgen

- % Done changed from 0 to 100

Implemented the following code in the mc() method:

    // Allocate energy

    GEnergy energy;

    // Get uniform value between 0 and 1

    double u = ran.uniform();

    // Map into [emin,emax] range

    energy.MeV((emax.MeV() - emin.MeV()) * u + emin.MeV());

    // Return energy

    return energy;
#5 - 12/18/2012 04:40 PM - Knödlseder Jürgen

- Target version changed from 00-07-00 to 00-08-00

#6 - 01/07/2013 04:59 PM - Knödlseder Jürgen

- Target version deleted (00-08-00)

#7 - 01/11/2013 12:32 AM - Knödlseder Jürgen

- Target version set to 00-08-00

#8 - 01/11/2013 12:33 AM - Knödlseder Jürgen

- Status changed from Feedback to Closed
